<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<TargetFramework>net5.0</TargetFramework>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
		<DocumentationFile>..\Performance.Api\wwwroot\Performance.EntityModels.xml</DocumentationFile>
		<NoWarn>1701;1702;1591</NoWarn>
	</PropertyGroup>

	<ItemGroup>
		<PackageReference Include="Dapper" Version="2.0.123" />
		<PackageReference Include="Dapper.Contrib" Version="2.0.78" />
		<PackageReference Include="Microsoft.EntityFrameworkCore" Version="5.0.10" />
		<PackageReference Include="MySql.Data" Version="8.0.27" />
		<PackageReference Include="Pomelo.EntityFrameworkCore.MySql" Version="5.0.1" />
		<PackageReference Include="Z.EntityFramework.Plus.EFCore" Version="5.2.15" />
	</ItemGroup>

	<ItemGroup>
		<Service Include="{508349b6-6b84-4df5-91f0-309beebad82d}" />
	</ItemGroup>

	<ItemGroup>
		<Compile Update="T4\AutoContext.cs">
			<DesignTime>True</DesignTime>
			<AutoGen>True</AutoGen>
			<DependentUpon>AutoContext.tt</DependentUpon>
		</Compile>
		<Compile Update="T4\AutoEntity.cs">
			<DesignTime>True</DesignTime>
			<AutoGen>True</AutoGen>
			<DependentUpon>AutoEntity.tt</DependentUpon>
		</Compile>
	</ItemGroup>

	<ItemGroup>
		<None Update="T4\AutoContext.tt">
			<Generator>TextTemplatingFileGenerator</Generator>
			<LastGenOutput>AutoContext.cs</LastGenOutput>
		</None>
		<None Update="T4\AutoEntity.tt">
			<Generator>TextTemplatingFileGenerator</Generator>
			<LastGenOutput>AutoEntity.cs</LastGenOutput>
		</None>
	</ItemGroup>

</Project>
